# coding=utf-8
import logging

from django.urls import reverse

from web.tests import LoggedInWithWorkerTestCase
from web.tests.functions import create_voucher_type

logger = logging.getLogger(__name__)


class TestVoucherTypeApi(LoggedInWithWorkerTestCase):
    def setUp(self):
        super(TestVoucherTypeApi, self).setUp()
        self.voucher_type = create_voucher_type()

    def test_voucher_types_render(self):
        response = self.client.get(reverse('web.api.voucher_types'))
        self.assertEqual(response.status_code, 200)
